Schema: TickerDefinitionExt (ID: 4380)
TickerDefinitionExt (external) records exist for all SpiderRock tickers including equity tickers (stocks and ETFs) as well as index tickers and synthetic tickers for future chains and option multihedge baskets.
METADATA
| Attribute | Value |
|---|---|
| Topic | 4335-product-definition |
| MLink Token | Internal |
| MLink Endpoint | MLink-Live |
| SRSE Product | SRLive, SRAnalytics |
Note: The symbol
=next to a field number indicates that it is a primary key.
BODY
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 10= | ticker | TickerKey | ||
| 100 | symbolType | enum : SymbolType | ||
| 103 | name | string(72) | Symbol name | |
| 106 | issuerName | string(72) | Name of issuer | |
| 109 | cntryOfIncorp | string(2) | ISO Issuer Country Code | |
| 112 | parValue | float | Security Parvalue | |
| 115 | parValueCurrency | string(3) | Security Parvalue currency | |
| 118 | pointValue | float | ||
| 121 | pointCurrency | enum : Currency | ||
| 239 | priceFormat | enum : PriceFormat | PriceFormat: ex: NMS_Penny, NMS_HalfPenny | |
| 240 | minTickSize | float | ||
| 124 | primaryExch | enum : PrimaryExchange | ||
| 241 | altID | long | Alt Security ID number | |
| 130 | mic | string(4) | ISO Market Identification Code | |
| 133 | micSeg | string(4) | ISO Market Indentification Segment Code | |
| 136 | symbol | string(12) | stock symbol | |
| 139 | issueClass | string(1) | issue class of stock symbol. if no issue class field will be blank. | |
| 142 | securityID | int | Security ID number from the source - Vendor, SR, Feed | |
| 145 | sic | string(4) | SIC (Standard Industrial Classification) code | |
| 148 | cik | string(10) | Central Index Key (US specific) | |
| 151 | gics | string(8) | Global Industry Classification Standard | |
| 154 | lei | string(20) | Legal Entity Identifier | |
| 157 | naics | string(6) | North American Industry Classification System | |
| 160 | cfi | string(6) | ISO Classification of Financial Instruments | |
| 163 | cic | string(4) | Complementay Identification Code | |
| 166 | fisn | string(40) | Financial Instrument Short Name | |
| 169 | isin | string(12) | ISIN code | |
| 172 | bbgCompositeTicker | string(12) | Bloomberg Composite Ticker | |
| 175 | bbgExchangeTicker | string(28) | Bloomberg Exchange Ticker | |
| 178 | bbgCompositeGlobalID | string(12) | Bloomberg Composite Global ID | |
| 181 | bbgGlobalID | string(12) | Bloomberg Global ID | |
| 184 | bbgCurrency | string(3) | Bloomberg Trading Currency | |
| 190 | stkVolume | float | daily stock volume | |
| 193 | futVolume | float | daily future volume | |
| 196 | optVolume | float | daily option volume | |
| 199 | exchString | string(8) | exchanges listing any options on this underlying | |
| 202 | hasOptions | enum : YesNo | Has Options flag | |
| 205 | numOptions | int | total number of listed options | |
| 238 | roundlot | int | round lot | |
| 236 | sharesOutstanding | long | symbol shares outstanding, represented in thousands (actualsharesoutstanding = sharesoutstanding * 1000) | |
| 214 | otcPrimaryMarket | enum : OTCPrimaryMarket | ||
| 217 | otcTier | enum : OTCTier | ||
| 220 | otcReportingStatus | string(1) | ||
| 223 | otcDisclosureStatus | int | ||
| 226 | otcFlags | int | ||
| 229 | tkDefSource | enum : TkDefSource | Ticker definition source: None; Vendor; OTC; SR; Exchange | |
| 232 | statusFlag | enum : TkStatusFlag | ||
| 211 | timeMetric | enum : TimeMetric | trading time metric - 252 or 365 trading days or a weekly cycle type | |
| 237 | tradingPeriod | enum : TradingPeriod | ||
| 235 | timestamp | DateTime |
Get Schema API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'TickerDefinitionExt'
# Request Parameters for Get Schema Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getschema',
"msgType": MSG_TYPE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getschema' \
--data-urlencode 'msgType=TickerDefinitionExt'
Get Msg API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'TickerDefinitionExt'
# Replace with your pkey value for getting the specific message desired
PKEY = 'ReplaceThisValueForTheQueryToWork'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned.
VIEW = 'symbolType|name|issuerName|cntryOfIncorp|parValue|parValueCurrency|pointValue|pointCurrency|priceFormat|minTickSize|primaryExch|altID|mic|micSeg|symbol|issueClass|securityID|sic|cik|gics|lei|naics|cfi|cic|fisn|isin|bbgCompositeTicker|bbgExchangeTicker|bbgCompositeGlobalID|bbgGlobalID|bbgCurrency|stkVolume|futVolume|optVolume|exchString|hasOptions|numOptions|roundlot|sharesOutstanding|otcPrimaryMarket|otcTier|otcReportingStatus|otcDisclosureStatus|otcFlags|tkDefSource|statusFlag|timeMetric|tradingPeriod|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:valuse" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'name:eq:ExampleString'
# Request Parameters for getmsg Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsg',
"pkey": PKEY,
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsg' \
--data-urlencode 'pkey=ReplaceThisValueForTheQueryToWork' \
--data-urlencode 'msgType=TickerDefinitionExt' \
--data-urlencode 'view=symbolType|name|issuerName|cntryOfIncorp|parValue|parValueCurrency|pointValue|pointCurrency|priceFormat|minTickSize|primaryExch|altID|mic|micSeg|symbol|issueClass|securityID|sic|cik|gics|lei|naics|cfi|cic|fisn|isin|bbgCompositeTicker|bbgExchangeTicker|bbgCompositeGlobalID|bbgGlobalID|bbgCurrency|stkVolume|futVolume|optVolume|exchString|hasOptions|numOptions|roundlot|sharesOutstanding|otcPrimaryMarket|otcTier|otcReportingStatus|otcDisclosureStatus|otcFlags|tkDefSource|statusFlag|timeMetric|tradingPeriod|timestamp' \
--data-urlencode 'where=name:eq:ExampleString'
Get Msgs API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'TickerDefinitionExt'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned
VIEW = 'symbolType|name|issuerName|cntryOfIncorp|parValue|parValueCurrency|pointValue|pointCurrency|priceFormat|minTickSize|primaryExch|altID|mic|micSeg|symbol|issueClass|securityID|sic|cik|gics|lei|naics|cfi|cic|fisn|isin|bbgCompositeTicker|bbgExchangeTicker|bbgCompositeGlobalID|bbgGlobalID|bbgCurrency|stkVolume|futVolume|optVolume|exchString|hasOptions|numOptions|roundlot|sharesOutstanding|otcPrimaryMarket|otcTier|otcReportingStatus|otcDisclosureStatus|otcFlags|tkDefSource|statusFlag|timeMetric|tradingPeriod|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'name:eq:ExampleString'
# Replace with your desired limit of how many messages you receive. The default limit is 500
LIMIT = 500
# Order clause eg. "(field1:DESC | field1:ASC | field2:DESC:ABS | field2:ASC:ABS" (default is unordered; default is faster)
ORDER = 'symbolType:ASC'
# Request Parameters for getmsgs Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsgs',
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE,
"limit": LIMIT,
"order": ORDER
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsgs' \
--data-urlencode 'msgType=TickerDefinitionExt' \
--data-urlencode 'view=symbolType|name|issuerName|cntryOfIncorp|parValue|parValueCurrency|pointValue|pointCurrency|priceFormat|minTickSize|primaryExch|altID|mic|micSeg|symbol|issueClass|securityID|sic|cik|gics|lei|naics|cfi|cic|fisn|isin|bbgCompositeTicker|bbgExchangeTicker|bbgCompositeGlobalID|bbgGlobalID|bbgCurrency|stkVolume|futVolume|optVolume|exchString|hasOptions|numOptions|roundlot|sharesOutstanding|otcPrimaryMarket|otcTier|otcReportingStatus|otcDisclosureStatus|otcFlags|tkDefSource|statusFlag|timeMetric|tradingPeriod|timestamp' \
--data-urlencode 'where=name:eq:ExampleString' \
--data-urlencode 'limit=500' \
--data-urlencode 'order=symbolType:ASC'
Get Aggregate API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'TickerDefinitionExt'
# Replace with fields you want to see aggregate values for. A "|" separated list of measures should be provided
MEASURE = 'symbolType|name|issuerName|cntryOfIncorp|parValue|parValueCurrency|pointValue|pointCurrency|priceFormat|minTickSize|primaryExch|altID|mic|micSeg|symbol|issueClass|securityID|sic|cik|gics|lei|naics|cfi|cic|fisn|isin|bbgCompositeTicker|bbgExchangeTicker|bbgCompositeGlobalID|bbgGlobalID|bbgCurrency|stkVolume|futVolume|optVolume|exchString|hasOptions|numOptions|roundlot|sharesOutstanding|otcPrimaryMarket|otcTier|otcReportingStatus|otcDisclosureStatus|otcFlags|tkDefSource|statusFlag|timeMetric|tradingPeriod|timestamp'
# Replace with fields you want to see aggregated. A "|" separated list of fields should be provided
GROUP = 'symbolType|pointCurrency|priceFormat|primaryExch|hasOptions|otcPrimaryMarket|otcTier|tkDefSource|statusFlag|timeMetric|tradingPeriod'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'name:eq:ExampleString'
# Request Parameters for getaggregate Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getaggregate',
"msgType": MSG_TYPE,
"measure": MEASURE,
"group": GROUP,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getaggregate' \
--data-urlencode 'msgType=TickerDefinitionExt' \
--data-urlencode 'measure=symbolType|name|issuerName|cntryOfIncorp|parValue|parValueCurrency|pointValue|pointCurrency|priceFormat|minTickSize|primaryExch|altID|mic|micSeg|symbol|issueClass|securityID|sic|cik|gics|lei|naics|cfi|cic|fisn|isin|bbgCompositeTicker|bbgExchangeTicker|bbgCompositeGlobalID|bbgGlobalID|bbgCurrency|stkVolume|futVolume|optVolume|exchString|hasOptions|numOptions|roundlot|sharesOutstanding|otcPrimaryMarket|otcTier|otcReportingStatus|otcDisclosureStatus|otcFlags|tkDefSource|statusFlag|timeMetric|tradingPeriod|timestamp' \
--data-urlencode 'group=symbolType|pointCurrency|priceFormat|primaryExch|hasOptions|otcPrimaryMarket|otcTier|tkDefSource|statusFlag|timeMetric|tradingPeriod' \
--data-urlencode 'where=name:eq:ExampleString'
Get Count API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'TickerDefinitionExt'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'name:eq:ExampleString'
# Request Parameters for getCount Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getcount',
"msgType": MSG_TYPE,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getcount' \
--data-urlencode 'msgType=TickerDefinitionExt' \
--data-urlencode 'where=name:eq:ExampleString'